/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: servicelocatorstub.h 3219 2006-04-16 15:06:35Z svntobi $
 *
 */

#ifndef ___SERVICELOCATORSTUB_H
#define ___SERVICELOCATORSTUB_H

#include "servicelocator.h"

class ServiceLocatorStub: public IServiceLocator
{
    public:
        IFeedSources* feedSources;
        IFeedParser* feedParser;
        IDownloadPool* downloadPool;
        IDownloadCache* downloadCache;
        IThread* downloadThread;
        IFeedUpdater* feedUpdater;
        cOsdMenu* feedMenu;
        cOsdMenu* itemMenu;
        cOsdMenu* itemView;
        std::string itemAssignedToPlayerControl;
        std::string itemViewWasCreatedFor;
        cControl* playerControl;
        IErrorLogger* errorLogger;
        cMenuSetupPage* setupMenu;

    public:
        ServiceLocatorStub();
        // <IServiceLocator>
        IFeedSources* GetFeedSources();
        IFeedParser* GetFeedParser();
        IDownloadPool* GetDownloadPool();
        IDownloadCache* GetDownloadCache();
        IThread* GetDownloadThread();
        IFeedUpdater* GetFeedUpdater();
        ref_ptr<IThreadAction> CreateDownloadAction();
        cOsdMenu* CreateFeedMenu();
        cOsdMenu* CreateItemMenu(Feed feed);
        cOsdMenu* CreateItemView(Feed feed, Item item);
        cControl* CreatePlayerControl(Item item);
        IErrorLogger* GetErrorLogger();
        cMenuSetupPage* CreateSetupMenu();
        // </IServiceLocator>
};

#endif
